org.eclnt.jsfserver.elements.impl

## Class ARRAYGRIDItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.impl.ARRAYGRIDItem

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem

      public class ARRAYGRIDItem
      extends FIXGRIDItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARRAYGRIDItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getBackgrounds()`
    `java.lang.String[]` | `getBgpaints()`
    `java.lang.String[]` | `getFonts()`
    `java.lang.String[]` | `getForegrounds()`
    `java.lang.String[]` | `getImages()`
    `java.lang.String[]` | `getTooltips()`
    `java.lang.Object[]` | `getValues()`
    `void` | `setBackgrounds(java.lang.String[] backgrounds)`
    `void` | `setBgpaints(java.lang.String[] bgpaints)`
    `void` | `setFonts(java.lang.String[] fonts)`
    `void` | `setForegrounds(java.lang.String[] foregrounds)`
    `void` | `setImages(java.lang.String[] images)`
    `void` | `setTooltips(java.lang.String[] tooltips)`
    `void` | `setValues(java.lang.Object[] values)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ARRAYGRIDItem

          public ARRAYGRIDItem()

  - ### Method Detail

    - #### setValues

          public void setValues(java.lang.Object[] values)

    - #### getValues

          public java.lang.Object[] getValues()

    - #### getBackgrounds

          public java.lang.String[] getBackgrounds()

    - #### setBackgrounds

          public void setBackgrounds(java.lang.String[] backgrounds)

    - #### getBgpaints

          public java.lang.String[] getBgpaints()

    - #### setBgpaints

          public void setBgpaints(java.lang.String[] bgpaints)

    - #### getForegrounds

          public java.lang.String[] getForegrounds()

    - #### setForegrounds

          public void setForegrounds(java.lang.String[] foregrounds)

    - #### getFonts

          public java.lang.String[] getFonts()

    - #### setFonts

          public void setFonts(java.lang.String[] fonts)

    - #### getImages

          public java.lang.String[] getImages()

    - #### setImages

          public void setImages(java.lang.String[] images)

    - #### getTooltips

          public java.lang.String[] getTooltips()

    - #### setTooltips

          public void setTooltips(java.lang.String[] tooltips)

Copyright © CaptainCasa Gmbh. All Rights Reserved.